strongComp {RBGL} | R Documentation

## Identify Strongly Connected Components

### Description

The strongly connected components in a directed graph are identified and returned as a list.

### Usage

    strongComp(g)

### Arguments

`g` | graph with `edgemode` “directed”.

### Details

Tarjan's algorithm is used to determine all strongly connected components of a directed graph.

### Value

A list whose length is the number of strongly connected components in `g`. Each element of the list is a vector of the node labels for the nodes in that component.

### Author(s)

Vince Carey <stvjc@channing.harvard.edu>

### References

Boost Graph Library

### See Also

`connComp`,`connectedComp`, `same.component`

### Examples

    km <- fromGXL(file(system.file("XML/kmstEx.gxl",package="RBGL"), open="r"))
    km<- graph::addNode(c("F","G","H"), km)
    km<- addEdge("G", "H", km, 1)
    km<- addEdge("H", "G", km, 1)
    strongComp(km)
    connectedComp(ugraph(km))

[Package RBGL version 1.10.0 Index]